Bug 19084 - [G45] ETQW demo hangs X
Summary: [G45] ETQW demo hangs X
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Eric Anholt
QA Contact:
URL: http://zerowing.idsoftware.com/linux/...
Whiteboard:
Keywords:
Depends on: 16655 16656
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2008-12-14 16:04 UTC by Sven Arvidsson
Modified: 2009-08-24 12:31 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Backtrace from etqw after hang (1.43 KB, text/plain)
2008-12-14 16:04 UTC, Sven Arvidsson
Details
Xorg log after hang (41.78 KB, text/plain)
2008-12-14 16:05 UTC, Sven Arvidsson
Details
Xorg config (1.45 KB, text/plain)
2008-12-14 16:05 UTC, Sven Arvidsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2008-12-14 16:04:49 UTC
Created attachment 21137 [details]
Backtrace from etqw after hang

The demo of the game Enemy Territory Quake Wars hangs X after it's started. All I get is a black screen and the cursor.

Killing the game process does not return a working X.

-- xf86-video-intel: bea98cdfd93fc1181a06c51e57fcab227ff4827e
-- xserver: 1.5.2
-- mesa: a0d5c3cfe6582f8294154f6877319193458158a2
-- drm: c99566fb810c9d8cae5e9cd39d1772b55e2f514c
-- kernel: for-airlied 66647dc60d16fae9f6963fd98b6d9baa1a8dac69
Comment 1 Sven Arvidsson 2008-12-14 16:05:09 UTC
Created attachment 21138 [details]
Xorg log after hang
Comment 2 Sven Arvidsson 2008-12-14 16:05:39 UTC
Created attachment 21139 [details]
Xorg config
Comment 3 lin, jiewen 2008-12-14 19:35:41 UTC
On our G45, the game quits after a segmentation fault. This dose not cause X hanging, following is the output message:
WARNING: GL_PROGRAM_ERROR_STRING_ARB: Invalid texture unit index
error at 3406:
], 2D;
ADD _finalcolor, R1, _finalcolor;
LRP result.color.rgb, fragment.color.secondary.x, program.local[4], _finalcolor;
# modify by the vertex color
MUL R1, R1, R2;
MUL R1, R1, light;
DP3 result.color.a, R1, grayscale;

#       MUL viewofs.xyz, fragment.texcoord[7], fragment.texcoord[7];
#       RSQ viewofs.w, viewofs.w;
#       MUL viewofs.xyz, viewofs.w, fragment.texcoord[7];

#MAD result.color.rgb, viewofs, 0.5, 0.5;
#MOV            result.color.rgb, fragment.color.secondary;
#MOV result.color.a, 1;
END
WARNING: idDeclLocal::ParseLocal Failed to Parse decl 'interaction/selfillum_detail_amblit' in file 'renderprogs/interaction/self_illum.rprog' line 0
WARNING: renderProg 'interaction/selfillum_detail_amblit' is defaulted
WARNING: Sys_Sleep - 10 < 20 msec is not portable
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7de96d0 (LWP 2800)]
0x004dcf46 in memcpy () from /lib/libc.so.6
(gdb) bt
#0  0x004dcf46 in memcpy () from /lib/libc.so.6
#1  0x00000000 in ?? ()
Comment 4 Eric Anholt 2008-12-14 21:35:00 UTC
etqw fails due to lack of compressedtexsubimage handling in the driver.
Comment 5 Eric Anholt 2008-12-15 17:01:29 UTC
Pushed a patch for the segfault, but this program isn't going anywhere without fixing these other two bugs first.
Comment 6 lin, jiewen 2008-12-25 23:21:46 UTC
Our g45 64bit has this issue too.
Comment 7 Sven Arvidsson 2009-03-16 08:20:10 UTC
Using mesa commit 2305642b2e8edcebdc727f1181f7dbfcc78e8028 the game no longer hangs X. In fact, it starts and the main menu is usable. 

The game itself isn't playable, but I guess that's expected before bug 16656 is fixed.
Comment 8 Eric Anholt 2009-05-09 08:03:34 UTC
Reporter says it's fixed with current Mesa.  (Other problems go into other bug reports).
Comment 9 Adam Jackson 2009-08-24 12:31:17 UTC
Mass version move, cvs -> git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.